using System;
using System.Runtime.InteropServices;

namespace SharpQuake
{
	[StructLayout(LayoutKind.Sequential, Pack = 1)]
	internal struct dheader_t
	{
		public int version;

		[MarshalAs(UnmanagedType.ByValArray, SizeConst = 15)]
		public lump_t[] lumps;

		public static int SizeInBytes = Marshal.SizeOf(typeof(dheader_t));
	}
}
